Package org.silverpeas.mobile.server.services

## Class ServiceNavigation

- java.lang.Object
- - org.silverpeas.core.web.rs.RESTWebService
  - - org.silverpeas.mobile.server.services.AbstractRestWebService
    - - org.silverpeas.mobile.server.services.ServiceNavigation

- All Implemented Interfaces:
    `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

      @WebService
      @Authorized
      @Path("mobile/navigation")
      public class ServiceNavigation
      extends AbstractRestWebService

  Service de gestion de la navigation dans les espaces et apps.
  Author:
    svuillet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

      `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `MAINSESSIONCONTROLLER_ATTRIBUT_NAME`

    - ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

      `RESPONSE_HEADER_ARRAYSIZE`

    - ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceNavigation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearAppCache()` |
    `ApplicationInstanceDTO` | `getApp​(String instanceId, String contentId, String contentType)` |
    `String` | `getComponentId()` |
    `HomePageDTO` | `getHomePageData​(String spaceId, String zoom)` |
    `List<ApplicationInstanceDTO>` | `getPersonnalSpaceContent​(String userId)` |
    `protected String` | `getResourceBasePath()` |
    `SpaceDTO` | `getSpace​(String spaceId)` |
    `List<SilverpeasObjectDTO>` | `getSpacesAndApps​(String rootSpaceId)` |
    `DetailUserDTO` | `getUser​(String login, String domainId)` |
    `protected org.silverpeas.core.admin.user.model.UserDetail` | `getUserInSession()` |
    `Boolean` | `isWorkflowApp​(String intanceId)` |
    `Boolean` | `setTabletMode()` |
    `protected void` | `setUserInSession​(org.silverpeas.core.admin.user.model.UserDetail user)` |
    `void` | `storeTokenMessaging​(String token)` |
    `void` | `validateUserAuthorization​(org.silverpeas.core.web.rs.UserPrivilegeValidation validation)` |

    - ### Methods inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `createStreamingList, getMainSessionController, getSettings, initSilverpeasSession, makeStreamingList, setMainsessioncontroller`

    - ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

      `createWebResourceUri, fromPage, getBundle, getBundleLocation, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

      `validateUserAuthentication`

- - ### Constructor Detail

    - #### ServiceNavigation

          public ServiceNavigation()

  - ### Method Detail

    - #### storeTokenMessaging

          @PUT
          @Path("storeTokenMessaging/{token}/")
          public void storeTokenMessaging​(@PathParam("token")
                                          String token)

    - #### getUser

          @GET
          @Produces("application/json")
          @Path("user/{login}/{domainId}/")
          public DetailUserDTO getUser​(@PathParam("login")
                                       String login,
                                       @PathParam("domainId")
                                       String domainId)

    - #### setTabletMode

          @POST
          @Produces("application/json")
          @Path("setTabletMode")
          public Boolean setTabletMode()

    - #### clearAppCache

          @GET
          @Path("clearAppCache")
          public void clearAppCache()

    - #### setUserInSession

          protected void setUserInSession​(org.silverpeas.core.admin.user.model.UserDetail user)

    - #### getUserInSession

          protected org.silverpeas.core.admin.user.model.UserDetail getUserInSession()

    - #### getHomePageData

          @GET
          @Produces("application/json")
          @Path("homepage/{spaceId}/{zoom}/")
          public HomePageDTO getHomePageData​(@PathParam("spaceId")
                                             String spaceId,
                                             @PathParam("zoom")
                                             String zoom)

    - #### isWorkflowApp

          @GET
          @Produces("application/json")
          @Path("isWorkflowApp/{instanceId}/")
          public Boolean isWorkflowApp​(@PathParam("instanceId")
                                       String intanceId)

    - #### getPersonnalSpaceContent

          @GET
          @Produces("application/json")
          @Path("personalSpace/{userId}/")
          public List<ApplicationInstanceDTO> getPersonnalSpaceContent​(@PathParam("userId")
                                                                       String userId)

    - #### getSpace

          @GET
          @Produces("application/json")
          @Path("space/{spaceId}/")
          public SpaceDTO getSpace​(@PathParam("spaceId")
                                   String spaceId)

    - #### getSpacesAndApps

          @GET
          @Produces("application/json")
          @Path("spacesAndApps/{rootSpaceId}/")
          public List<SilverpeasObjectDTO> getSpacesAndApps​(@PathParam("rootSpaceId")
                                                            String rootSpaceId)

    - #### getApp

          @GET
          @Produces("application/json")
          @Path("app/{instanceId}/{contentId}/{contentType}/")
          public ApplicationInstanceDTO getApp​(@PathParam("instanceId")
                                               String instanceId,
                                               @PathParam("contentId")
                                               String contentId,
                                               @PathParam("contentType")
                                               String contentType)

    - #### getResourceBasePath

          protected String getResourceBasePath()

      Specified by:
        `getResourceBasePath` in class `org.silverpeas.core.web.rs.RESTWebService`

    - #### getComponentId

          public String getComponentId()

    - #### validateUserAuthorization

          public void validateUserAuthorization​(org.silverpeas.core.web.rs.UserPrivilegeValidation validation)